using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class megrendelesek : System.Web.UI.Page
{
    protected int cegID;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.User.Identity.IsAuthenticated)
        {

            Response.Redirect("kezdolap.aspx");

        }

        string UserName = Page.User.Identity.Name;
        db.adatbazisMuveletek.UserNameToCegID(UserName, out cegID);
        megrendelesListaz();
    }

    protected int megrendSzamUj = 0;
    protected int nettoOssz;
    protected double bruttoOssz;

    
    protected void megrendelesListaz()
    {
        div1.Controls.Clear();
        System.Collections.Generic.List<db.megrendeles> megrendeles = new System.Collections.Generic.List<db.megrendeles>();
        db.adatbazisMuveletek.megrendLekerdezCegID(cegID, out megrendeles);

        Table table = new Table();
        table.Width = System.Web.UI.WebControls.Unit.Pixel(820);
        table.BorderStyle = BorderStyle.None;

        

        for (int i = 0; i < megrendeles.Count; i++)
        {
            int megrendSzam = megrendeles[i].megrendelesSzam;
            db.termekLista termek = new db.termekLista();
            db.adatbazisMuveletek.termekLekerdezes(megrendeles[i].eszkozID, out termek);


            if (megrendSzamUj != megrendSzam)
            {
                megrendSzamUj = megrendSzam;
                nettoOssz = 0;
                bruttoOssz = 0;

                Label megrendelesSzam = new Label();
                megrendelesSzam.Text = "Megrendelés száma: ";
                megrendelesSzam.Font.Bold = true;
                megrendelesSzam.Font.Name = "verdana";
                megrendelesSzam.ID = "lblmegrendelesSzam" + i.ToString();

                Label megrendKelte = new Label();
                megrendKelte.Text = "Megrendelés kelte: ";
                megrendKelte.Font.Bold = true;
                megrendKelte.Font.Name = "verdana";
                megrendKelte.ID = "lblmegrendKelte" + i.ToString();

                Label megrendelesSzam1 = new Label();
                megrendelesSzam1.Text = megrendeles[i].megrendelesSzam.ToString();
                megrendelesSzam1.Font.Name = "verdana";
                megrendelesSzam1.ID = "lblmegrendelesSzam1" + i.ToString();

                Label megrendKelte1 = new Label();
                megrendKelte1.Text = megrendeles[i].megRendKelte.ToString();
                megrendKelte1.Font.Name = "verdana";
                megrendKelte1.ID = "lblmegrendKelte1" + i.ToString();

                Label termekazonosito = new Label();
                termekazonosito.Text = "termekazonosító";
                termekazonosito.Font.Name = "verdana";
                termekazonosito.ID = "lblTermAzn" + i.ToString();

                Label megnevezes = new Label();
                megnevezes.Text = "megnevezés";
                megnevezes.Font.Name = "verdana";
                megnevezes.ID = "lblMegnevezes" + i.ToString();

                Label darab = new Label();
                darab.Text = "db";
                darab.Font.Name = "verdana";
                darab.ID = "lblDb" + i.ToString();

                Label egysegar = new Label();
                egysegar.Text = "darab ár";
                egysegar.Font.Name = "verdana";
                egysegar.ID = "lblEgysegar" + i.ToString();

                Label statusz = new Label();
                statusz.Text = "státusz";
                statusz.Font.Name = "verdana";
                statusz.ID = "lblStatusz" + i.ToString();

                TableCell tCell1 = new TableCell();
                tCell1.Width = System.Web.UI.WebControls.Unit.Pixel(410);
                TableCell tCell2 = new TableCell();
                tCell2.Width = System.Web.UI.WebControls.Unit.Pixel(410);
                tCell2.HorizontalAlign = HorizontalAlign.Right;

                TableCell tCell3 = new TableCell();
                TableCell tCell4 = new TableCell();
                TableCell tCell5 = new TableCell();
                TableCell tCell6 = new TableCell();
                TableCell tCell7 = new TableCell();

                tCell1.Controls.Add(megrendelesSzam);
                tCell1.Controls.Add(megrendelesSzam1);
                
                tCell2.Controls.Add(megrendKelte);
                tCell2.Controls.Add(megrendKelte1);
                

                tCell3.Controls.Add(termekazonosito);
                tCell3.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                tCell4.Controls.Add(megnevezes);
                tCell4.Width = System.Web.UI.WebControls.Unit.Pixel(350);
                tCell5.Controls.Add(darab);
                tCell5.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                tCell6.Controls.Add(egysegar);
                tCell6.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                tCell7.Controls.Add(statusz);
                tCell7.Width = System.Web.UI.WebControls.Unit.Pixel(100);

                TableRow tRow1 = new TableRow();
                tRow1.Width = System.Web.UI.WebControls.Unit.Pixel(820);
                TableRow tRow2 = new TableRow();
                tRow2.Width = System.Web.UI.WebControls.Unit.Pixel(820);

                tRow1.BackColor = System.Drawing.Color.LightBlue;
                tRow2.BackColor = System.Drawing.Color.AliceBlue;

                tRow1.Controls.Add(tCell1);
                tRow1.Controls.Add(tCell2);

                tRow2.Controls.Add(tCell3);
                tRow2.Controls.Add(tCell4);
                tRow2.Controls.Add(tCell5);
                tRow2.Controls.Add(tCell6);
                tRow2.Controls.Add(tCell7);

                table.Controls.Add(tRow1);
                table.Controls.Add(tRow2);
                
            }

                nettoOssz += megrendeles[i].eszkozAR * megrendeles[i].eszkozMennyiseg;
                

                Label termekazonosito1 = new Label();
                termekazonosito1.Text = termek.cikkszam;
                termekazonosito1.Font.Name = "verdana";
                termekazonosito1.ID = "lblTermAzn1" + i.ToString();

                Label megnevezes1 = new Label();
                megnevezes1.Text = termek.megnevezes;
                megnevezes1.Font.Name = "verdana";
                megnevezes1.ID = "lblMegnevezes1" + i.ToString();

                Label darab1 = new Label();
                darab1.Text = megrendeles[i].eszkozMennyiseg.ToString();
                darab1.Font.Name = "verdana";
                darab1.ID = "lblDb1" + i.ToString();

                Label egysegar1 = new Label();
                egysegar1.Text = megrendeles[i].eszkozAR.ToString()+" Ft";
                egysegar1.Font.Name = "verdana";
                egysegar1.ID = "lblEgysegar1" + i.ToString();

                Image statuszIkon = new Image();
                statuszIkon.ID = "imgStatusz" + i.ToString();

                if (termek.keszlet == 0)
                {
                    statuszIkon.ImageUrl = "~/img/beszerzesutan.gif";
                }
                else
                {
                    statuszIkon.ImageUrl = "~/img/azn_elviheto.gif";
                }

                TableCell tCell8 = new TableCell();
                TableCell tCell9 = new TableCell();
                TableCell tCell10 = new TableCell();
                TableCell tCell11 = new TableCell();
                TableCell tCell12 = new TableCell();
                TableCell tCell13 = new TableCell();
                TableCell tCell14 = new TableCell();
                TableCell tCell15 = new TableCell();
                TableCell tCell16 = new TableCell();

                tCell8.Controls.Add(termekazonosito1);
                tCell8.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                tCell9.Controls.Add(megnevezes1);
                tCell9.Width = System.Web.UI.WebControls.Unit.Pixel(350);
                tCell10.Controls.Add(darab1);
                tCell10.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                tCell11.Controls.Add(egysegar1);
                tCell11.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                tCell12.Controls.Add(statuszIkon);
                tCell12.Width = System.Web.UI.WebControls.Unit.Pixel(100);

                TableRow tRow3 = new TableRow();
                tRow3.Controls.Add(tCell8);
                tRow3.Controls.Add(tCell9);
                tRow3.Controls.Add(tCell10);
                tRow3.Controls.Add(tCell11);
                tRow3.Controls.Add(tCell12);

                table.Controls.Add(tRow3);

                if (i == megrendeles.Count-1)
                {
                    bruttoOssz = nettoOssz * 1.2;

                    Label netto = new Label();
                    netto.Text = "nettó összesen:";
                    netto.Font.Bold = true;
                    netto.Font.Name = "verdana";
                    netto.ID = "lblNetto" + i.ToString();

                    Label bruttoLBL = new Label();
                    bruttoLBL.Text = "bruttó összesen:";
                    bruttoLBL.Font.Bold = true;
                    bruttoLBL.Font.Name = "verdana";
                    bruttoLBL.ID = "lblBrutto" + i.ToString();

                    Label nettoOssz1 = new Label();
                    nettoOssz1.Text = nettoOssz.ToString() + " Ft";
                    nettoOssz1.ForeColor = System.Drawing.Color.Red;
                    nettoOssz1.Font.Name = "verdana";
                    nettoOssz1.ID = "lblNetto1" + i.ToString();

                    Label bruttoOssz1 = new Label();
                    bruttoOssz1.Text = bruttoOssz.ToString() + " Ft";
                    bruttoOssz1.ForeColor = System.Drawing.Color.Red;
                    bruttoOssz1.Font.Name = "verdana";
                    bruttoOssz1.ID = "lblBrutto1" + i.ToString();

                    TableRow tRow4 = new TableRow();
                    TableRow tRow5 = new TableRow();

                    tCell13.Controls.Add(netto);
                    tCell13.Width = System.Web.UI.WebControls.Unit.Pixel(600);
                    tCell13.HorizontalAlign = HorizontalAlign.Right;

                    tCell14.Controls.Add(nettoOssz1);
                    tCell14.HorizontalAlign = HorizontalAlign.Right;

                    tCell15.Controls.Add(bruttoLBL);
                    tCell15.Width = System.Web.UI.WebControls.Unit.Pixel(600);
                    tCell15.HorizontalAlign = HorizontalAlign.Right;

                    tCell16.Controls.Add(bruttoOssz1);
                    tCell16.HorizontalAlign = HorizontalAlign.Right;

                    tRow4.Controls.Add(tCell13);
                    tRow4.Controls.Add(tCell14);
                    tRow5.Controls.Add(tCell15);
                    tRow5.Controls.Add(tCell16);
                    table.Controls.Add(tRow4);
                    table.Controls.Add(tRow5);
                }

                if (i < megrendeles.Count-1)
                {
                   
                    if (megrendeles[i].megrendelesSzam != megrendeles[i + 1].megrendelesSzam)
                    {
                        bruttoOssz = nettoOssz * 1.2;

                        Label netto = new Label();
                        netto.Text = "nettó összesen:";
                        netto.Font.Bold = true;
                        netto.Font.Name = "verdana";
                        netto.ID = "lblNetto" + i.ToString();

                        Label bruttoLBL = new Label();
                        bruttoLBL.Text = "bruttó összesen:";
                        bruttoLBL.Font.Bold = true;
                        bruttoLBL.Font.Name = "verdana";
                        bruttoLBL.ID = "lblBrutto" + i.ToString();

                        Label nettoOssz1 = new Label();
                        nettoOssz1.Text = nettoOssz.ToString()+" Ft";
                        nettoOssz1.ForeColor = System.Drawing.Color.Red;
                        nettoOssz1.Font.Name = "verdana";
                        nettoOssz1.ID = "lblNetto1" + i.ToString();

                        Label bruttoOssz1 = new Label();
                        bruttoOssz1.Text = bruttoOssz.ToString()+" Ft";
                        bruttoOssz1.ForeColor = System.Drawing.Color.Red;
                        bruttoOssz1.Font.Name = "verdana";
                        bruttoOssz1.ID = "lblBrutto1" + i.ToString();

                        TableRow tRow4 = new TableRow();
                        TableRow tRow5 = new TableRow();

                        tCell13.Controls.Add(netto);
                        tCell13.Width = System.Web.UI.WebControls.Unit.Pixel(600);
                        tCell13.HorizontalAlign = HorizontalAlign.Right;
                        
                        tCell14.Controls.Add(nettoOssz1);
                        tCell14.HorizontalAlign = HorizontalAlign.Right;

                        tCell15.Controls.Add(bruttoLBL);
                        tCell15.Width = System.Web.UI.WebControls.Unit.Pixel(600);
                        tCell15.HorizontalAlign = HorizontalAlign.Right;

                        tCell16.Controls.Add(bruttoOssz1);
                        tCell16.HorizontalAlign = HorizontalAlign.Right;

                        tRow4.Controls.Add(tCell13);
                        tRow4.Controls.Add(tCell14);
                        tRow5.Controls.Add(tCell15);
                        tRow5.Controls.Add(tCell16);
                        table.Controls.Add(tRow4);
                        table.Controls.Add(tRow5);

                    }
                }


        }
        div1.Controls.Add(table);

    }
}
